org.apache.sysds.lops

## Class BinaryScalar

- java.lang.Object
- - org.apache.sysds.lops.Lop
  - - org.apache.sysds.lops.BinaryScalar

    public class BinaryScalar
    extends Lop

Lop to perform binary scalar operations. Both inputs must be scalars. Example i = j + k, i = i + 1.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.lops.Lop

`Lop.SimpleInstType, Lop.Type, Lop.VisitStatus`

### Field Summary

### Fields inherited from class org.apache.sysds.lops.Lop

`_beginColumn, _beginLine, _endColumn, _endLine, _filename, CP_CHILD_THREAD, CP_ROOT_THREAD_ID, DATATYPE_PREFIX, FILE_SEPARATOR, FRAME_VAR_NAME_PREFIX, INSTRUCTION_DELIMITOR, LITERAL_PREFIX, MATRIX_VAR_NAME_PREFIX, NAME_VALUE_SEPARATOR, OPERAND_DELIMITOR, PROCESS_PREFIX, SAMPLE_FRACTION, SCALAR_VAR_NAME_PREFIX, UPDATE_INPLACE_PREFIX, VALUETYPE_PREFIX, VARIABLE_NAME_PLACEHOLDER`

### Constructor Summary

Constructors
Constructor and Description
`BinaryScalar(Lop input1, Lop input2, Types.OpOp2 op, Types.DataType dt, Types.ValueType vt)` Constructor to perform a scalar operation

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getInstructions(String input1, String input2, String output)` Method should be overridden if needed
`Types.OpOp2` `getOperationType()`
`Lop.SimpleInstType` `getSimpleInstructionType()` Method should be overridden if needed
`String` `toString()` Method to have Lops print their state.

### Methods inherited from class org.apache.sysds.lops.Lop

`addInput, addOutput, addToDag, createReachable, getBeginColumn, getBeginLine, getDataType, getEndColumn, getEndLine, getExecType, getFilename, getID, getInputs, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getLevel, getOutputParameters, getOutputs, getPrivacyConstraint, getProducesIntermediateOutput, getReachable, getType, getValueType, getVisited, isDataExecLocation, isVariable, prepInputOperand, prepInputOperand, prepOperand, prepOperand, prepOutputOperand, prepOutputOperand, prepOutputOperand, prepScalarInputOperand, prepScalarInputOperand, prepScalarLabel, prepScalarOperand, printErrorLocation, removeConsumer, resetVisitStatus, setAllPositions, setBeginColumn, setBeginLine, setConsumerCount, setDataType, setEndColumn, setEndLine, setExecType, setFederatedOutput, setFilename, setPrivacyConstraint, setValueType, setVisited`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryScalar

    public BinaryScalar(Lop input1,
                        Lop input2,
                        Types.OpOp2 op,
                        Types.DataType dt,
                        Types.ValueType vt)

Constructor to perform a scalar operation

Parameters:
  `input1` - low-level operator 1
  `input2` - low-level operator 2
  `op` - operation type
  `dt` - data type
  `vt` - value type

### Method Detail

#### toString

    public String toString()

Description copied from class: `Lop`
Method to have Lops print their state. This is for debugging purposes.

Specified by:
  `toString` in class `Lop`

#### getOperationType

    public Types.OpOp2 getOperationType()

#### getSimpleInstructionType

    public Lop.SimpleInstType getSimpleInstructionType()

Description copied from class: `Lop`
Method should be overridden if needed

Overrides:
  `getSimpleInstructionType` in class `Lop`
Returns:
  simple instruction type

#### getInstructions

    public String getInstructions(String input1,
                                  String input2,
                                  String output)

Description copied from class: `Lop`
Method should be overridden if needed

Overrides:
  `getInstructions` in class `Lop`
Parameters:
  `input1` - input 1
  `input2` - input 2
  `output` - output
Returns:
  instructions as string